package jrummikub.control.turn;

import jrummikub.model.IHand;
import jrummikub.model.ITable;
import jrummikub.view.IView;


public class BaseAIControl extends AbstractTurnControl {

	@Override
	public void startTurn() {
		if (mayRedeal) {
			redealEvent.emit();
		} else {
			endOfTurnEvent.emit();
		}
	}
	
	static public TurnControlFactory getFactory() {
		return new TurnControlFactory() {
			@Override
			public ITurnControl create() {
				return new BaseAIControl();
			}
		};
	}

}
